package com.kcim.service;

import com.kcim.dao.model.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @program: CostAccount
 * @description: 标准项目接口
 * @author: Wang.YS
 * @create: 2023-11-13 11:28
 **/
public interface StandItemService {
    Object getStandItemList(Integer current, Integer pageSize, String name, String kcClassCode);

    void addStandItem(StandItem request);

    void editStandItem(StandItem request);

    void deleteStandItem(Integer id);

    Object exportStandItem(HttpServletResponse response);

    void importStandItem(MultipartFile file);

    void matchStandItemAndCostAccounting();

    Object getCostAccountingDict(String name);

    Object getKcClassDict();

    Object getStandItemEmpMap(String standCode);

    void addStandItemEmpMap(StandItemEmpMap request);

    void editStandItemEmpMap(StandItemEmpMap request);

    void deleteStandItemEmpMap(Integer id);

    Object getStandItemEquipmentMap(String standCode);

    void addStandItemEquipmentMap(StandItemEquipmentMap request);

    void editStandItemEquipmentMap(StandItemEquipmentMap request);

    void deleteStandItemEquipmentMap(Integer id);

    Object getStandItemSpaceMap(String standCode);

    void addStandItemSpaceMap(StandItemSpaceMap request);

    void editStandItemSpaceMap(StandItemSpaceMap request);

    void deleteStandItemSpaceMap(Integer id);

    List<StandItem> getStandItemDict();
}
